import { HighlightStyleExpression, TextAnnotator, TextAnnotatorOptions } from '@recogito/text-annotator';
import { PDFAnnotation } from './model/core/pdf-annotation';
import { PDFScale } from './utils/pdf';
export interface PDFAnnotator extends Omit<TextAnnotator<PDFAnnotation, PDFAnnotation>, 'setAnnotatingEnabled' | 'redraw'> {
    element: HTMLElement;
    currentScale: number;
    currentScaleValue: string | undefined;
    scrollIntoView(annotation: PDFAnnotation): boolean;
    setScale(scale: PDFScale | number): number;
    setStyle(style?: HighlightStyleExpression<PDFAnnotation>, id?: string): void;
    zoomIn(percentage?: number): number;
    zoomOut(percentage?: number): number;
}
export declare const createPDFAnnotator: (container: HTMLDivElement, pdfURL: string, options?: TextAnnotatorOptions<PDFAnnotation, PDFAnnotation>) => Promise<PDFAnnotator>;
